<?php

namespace STM\Team;

use STM\StmFactory;

/**
 * Test class for TeamFactory.
 * Generated by PHPUnit on 2013-07-10 at 09:01:35.
 * @group team
 */
class TeamFactoryTest extends \PHPUnit_Framework_TestCase
{
    /** @var TeamFactory */
    private $object;

    protected function setUp()
    {
        $this->object = new TeamFactory();
    }

    public function testFindYourTeams()
    {
        // problematic test because Team can be your team in different competitions
        $yourTeams = $this->object->findYourTeams();
        $allCompetitions = StmFactory::find()->Competition->findAll();
        foreach ($yourTeams as $team) {
            $isYourTeam = false;
            foreach ($allCompetitions as $competition) {
                if ($competition->isYourTeam($team->getId())) {
                    $isYourTeam = true;
                    continue;
                }
            }
            parent::assertTrue($isYourTeam);
        }
    }

}

?>
